curl --request PATCH \
--url https://api.paygentic.io/v0/costs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"unitCost": 1,
"currency": "<string>",
"unit": "<string>",
"eventType": "<string>",
"valueProperty": "<string>",
"groupBy": {}
}
'import requests
url = "https://api.paygentic.io/v0/costs/{id}"
payload = {
"name": "<string>",
"unitCost": 1,
"currency": "<string>",
"unit": "<string>",
"eventType": "<string>",
"valueProperty": "<string>",
"groupBy": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
unitCost: 1,
currency: '<string>',
unit: '<string>',
eventType: '<string>',
valueProperty: '<string>',
groupBy: {}
})
};
fetch('https://api.paygentic.io/v0/costs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "cost",
"type": "metered",
"name": "<string>",
"currency": "<string>",
"unitCost": "<string>",
"productId": "<string>",
"merchantId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"unit": "<string>",
"aggregation": "SUM",
"eventType": "<string>",
"valueProperty": "<string>",
"groupBy": {},
"deletedAt": "2023-11-07T05:31:56Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Update
Authorizations
API key authentication
Path Parameters
The unique identifier of the cost Unique identifier for a cost
^cst_[a-zA-Z0-9]+$Body
Updated name for the cost.
Updated unit cost.
x >= 0Updated ISO 4217 currency code.
Updated unit label (metered costs only).
Updated aggregation method (metered costs only).
SUM, COUNT, AVG, MIN, MAX, UNIQUE_COUNT, LATEST Updated CloudEvents type (metered costs only).
Updated JSONPath for value extraction. Must start with $. (example: $.amount or $.payload.bytes). Metered costs only.
^\$\.[a-zA-Z0-9_]+(\.[a-zA-Z0-9_]+)*$Updated group-by dimension map. Each value must start with $. (example: $.region). Metered costs only.
Show child attributes
Show child attributes
Response
Cost updated successfully
Unique identifier for a cost
^cst_[a-zA-Z0-9]+$cost metered Decimal as string to avoid floating point precision loss.
Unique identifier for a product
^prod_[a-zA-Z0-9]+$Unique identifier for an organization
^org_[a-zA-Z0-9]+$SUM, COUNT, AVG, MIN, MAX, UNIQUE_COUNT, LATEST Show child attributes
Show child attributes
Soft-delete timestamp. Always null for active costs returned by the API.
Was this page helpful?